<form class="form-padding">
  <div class="form-group">
    <div class="input-group">
      <input name="search" [(ngModel)]="searchText" class="form-control" placeholder="search text goes here">
    </div>
  </div>
</form>

<div class="row">

  <div class="container">
    <div class="card" *ngFor="let item of pagedItems | search: searchText | sort: 'name'">
      <div class="card-body">
        <p>Name: {{ item.name }} </p>
        <p>Surname: {{ item.surname }} </p>
        <p>Gender: {{ item.gender }} </p>
        <p>Region: {{ item.region }} </p>
      </div>
    </div>
  </div>
</div>


<ul *ngIf="pager.pages && pager.pages.length" class="pagination">
  <li [ngClass]="{disabled:pager.currentPage === 1}">
    <button class="btn btn-primary" (click)="setPage(1)">First</button>
  </li>
  <li [ngClass]="{disabled:pager.currentPage === 1}">
    <button class="btn btn-primary" (click)="setPage(pager.currentPage - 1)">Previous</button>
  </li>
  <li *ngFor="let page of pager.pages" [ngClass]="{active:pager.currentPage === page}">
    <button class="btn btn-primary" (click)="setPage(page)">{{page}}</button>
  </li>
  <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
    <button class="btn btn-primary" (click)="setPage(pager.currentPage + 1)">Next</button>
  </li>
  <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
    <button class="btn btn-primary" (click)="setPage(pager.totalPages)">Last</button>
  </li>
</ul>
